## cvs-fast-export 1.34

=== debian/changelog ===
cvs-fast-export (1.34-1) unstable; urgency=medium

  * Initial release (Closes: #773316).  Upstream version 1.34 contains:
     - Another Python compatibility fix.
     - Fix to inconsistent license header in revdir.c.

 -- Anthony Fok <foka@debian.org>  Fri, 25 Sep 2015 12:31:28 -0600

cvs-fast-export (1.29-1) UNRELEASED; urgency=low

  * First attempt at Initial release, rejected due to inconsistent
    license in revdir.c (GPL-2) vs the rest of the package (GPL-2+).
    (would have closed #773316)
  * Cherry-pick minor post-1.29 fixes from upstream.

 -- Anthony Fok <foka@debian.org>  Thu, 18 Dec 2014 14:52:09 -0700
