=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	make man html reporting-bugs.html
	asciidoc hacking.asc

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_auto_clean:
	dh_auto_clean
	find tests -path '*/CVSROOT/history' -type f -exec sed -i '/|esr|/!d' '{}' \;
