=== debian/changelog ===
cvs-fast-export (1.35-1) unstable; urgency=medium

  * New upstream release 1.35
     - Properly handle CVS masters with nonempty access lists.
     - Bail out gracefully on pathological masters with no revisions.
    Special thanks to John E. Wulff for the fix. (Closes: #801110)
  * Edit Makefile to respect CFLAGS from the environment so that
    DEB_BUILD_OPTIONS=noopt and hardening flags are honoured.
    (Closes: #801108)
  * Comment out -march=native in Makefile to prevent FTBFS on some platforms
    and other potential incompatibility problems.
  * Fix reproducible issues with Asciidoc-generated timestamp.

 -- Anthony Fok <foka@debian.org>  Tue, 15 Dec 2015 11:41:36 -0700
