=== debian/control ===
Source: cvs-fast-export
Section: vcs
Priority: optional
Maintainer: Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python (>= 2.6.6-3~),
               bison, flex, rcs, cvs, git,
               asciidoc, docbook-xml, docbook-xsl, libxml2-utils, xsltproc
Standards-Version: 3.9.6
Homepage: http://www.catb.org/esr/cvs-fast-export/
Vcs-Git: git://anonscm.debian.org/collab-maint/cvs-fast-export.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/cvs-fast-export.git
X-Python-Version: >= 2.6

Package: cvs-fast-export
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: reposurgeon, cvs, git, rsync
Suggests: rcs, bzr-fastimport
Description: Export an RCS or CVS history as a fast-import stream
 cvs-fast-export, formerly "parsecvs", does what its new name implies:
 exports CVS repositories in a format suitable for git fast-import.
 .
 This program analyzes a collection of RCS files in a CVS repository
 (or outside of one) and, when possible, emits an equivalent history
 in the form of a fast-import stream. Not all possible histories can
 be rendered this way; the program tries to emit useful warnings when
 it can't. The program can also produce a visualization of the
 resulting commit DAG in the DOT format handled by the graphviz suite.
 .
 The distribution includes a tool, cvssync, for fetching masters from
 CVS remote repositories so cvs-fast-export can see them.  You will
 need rsync installed to use it.
 .
 A wrapper script called cvsconvert runs a conversion to git and
 looks for content mismatches with the original CVS.  You will need
 CVS and Git installed to use it.
 .
 Also included is a tool called cvsreduce that strips content out of
 trees of RCS/CVS masters, leaving only metadata structure in place.
