=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	make man html reporting-bugs.html
	TZ=UTC asciidoc hacking.asc

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_auto_clean:
	dh_auto_clean
	find tests -path '*/CVSROOT/history' -type f -exec sed -i '/|esr|/!d' '{}' \;
