## cvs-fast-export 1.40

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # You will see some meaningless failures with git 1.7.1 and older.
 # For documentation, you will need asciidoc, xsltproc and docbook stylesheets.
 
-VERSION=1.35
+VERSION=1.40
 
 .PATH: $(.PARSEDIR)
 prefix?=/usr/local
@@ -24,6 +24,7 @@
 VPATH=$(srcdir)
 
 INSTALL = install
+TAR = tar
 
 GCC_WARNINGS1=-Wall -Wpointer-arith -Wstrict-prototypes
 GCC_WARNINGS2=-Wmissing-prototypes -Wmissing-declarations
@@ -86,6 +87,8 @@
 	cvsutil.o revdir.o revlist.o atom.o revcvs.o generate.o export.o \
 	nodehash.o tags.o authormap.o graph.o utils.o merge.o hash.o
 
+all: cvs-fast-export man html
+
 cvs-fast-export: $(OBJS)
 	$(CC) $(CFLAGS) $(TARGET_ARCH) $(OBJS) $(LDFLAGS) $(LIBS) -o $@
 
@@ -110,7 +113,7 @@
 
 # Requires asciidoc and xsltproc/docbook stylesheets.
 .asc.1:
-	a2x --doctype manpage --format manpage -D . $<
+	a2x --doctype manpage --format manpage $<
 .asc.html:
 	a2x --doctype manpage --format xhtml -D . $<
 	rm -f docbook-xsl.css
@@ -120,7 +123,7 @@
 
 man: cvs-fast-export.1 cvssync.1 cvsconvert.1
 
-html: cvs-fast-export.html cvssync.html cvsconvert.html
+html: cvs-fast-export.html cvssync.html cvsconvert.html reporting-bugs.html
 
 clean:
 	rm -f $(OBJS) gram.h gram.c lex.h lex.c cvs-fast-export
@@ -128,6 +131,9 @@
 	rm -f MANIFEST index.html *.tar.gz
 	rm -f *.gcno *.gcda
 
+# Warning: The regression tests will fail spuriously if your CVS lacks the
+# MirOS patches.  These are carried by Debian Linux and derivatives; you can
+# check by Looking for "MirDebian" in the output of cvs --version.
 check: cvs-fast-export
 	@[ -d tests ] || mkdir tests
 	$(MAKE) -C tests -s -f $(srcdir)tests/Makefile
@@ -141,6 +147,11 @@
 	$(INSTALL) -m 644 cvs-fast-export.1 "$(target)/share/man/man1"
 	$(INSTALL) -m 644 cvssync.1 "$(target)/share/man/man1"
 	$(INSTALL) -m 644 cvsconvert.1 "$(target)/share/man/man1"
+uninstall: uninstall-man uninstall-bin
+uninstall-man:
+	cd $(target)/share/man/man1/ && rm -f cvs-fast-export.1 cvssync.1 cvsconvert.1
+uninstall-bin:
+	cd $(target)/bin && rm -f cvs-fast-export cvssync cvsconvert
 
 PROFILE_REPO = ~/software/groff-conversion/groff-mirror/groff
 gmon.out: cvs-fast-export
@@ -173,7 +184,7 @@
 DOCS = README COPYING NEWS AUTHORS TODO control *.asc cfe-logo.png
 ALL =  $(SOURCES) $(DOCS) tests
 cvs-fast-export-$(VERSION).tar.gz: $(ALL)
-	tar --transform='s:^:cvs-fast-export-$(VERSION)/:' --show-transformed-names -cvzf cvs-fast-export-$(VERSION).tar.gz $(ALL)
+	$(TAR) --transform='s:^:cvs-fast-export-$(VERSION)/:' --show-transformed-names -cvzf cvs-fast-export-$(VERSION).tar.gz $(ALL)
 
 dist: distclean cvs-fast-export-$(VERSION).tar.gz
