=== debian/changelog ===
cvs-fast-export (1.40-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends on the newly split asciidoc-base package rather than
    the asciidoc package to avoid pulling in texlive packages.
  * Bump Standards-Version to 3.9.8 (no change)
  * Use secure https URLs for Vcs-* fields
  * Update copyright years in debian/copyright
  * Refresh Debian patches
  * Ignore quilt dir

 -- Anthony Fok <foka@debian.org>  Fri, 30 Dec 2016 06:50:15 -0700
