=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: vcs
 Priority: optional
 Maintainer: Anthony Fok <foka@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python (>= 2.6.6-3~),
+Build-Depends: debhelper (>= 9), dh-python,
+               python (>= 2.6.6-3~),
                bison, flex, rcs, cvs, git,
-               asciidoc, docbook-xml, docbook-xsl, libxml2-utils, xsltproc
-Standards-Version: 3.9.6
+               asciidoc-base, docbook-xml, docbook-xsl, libxml2-utils, xsltproc
+Standards-Version: 3.9.8
 Homepage: http://www.catb.org/esr/cvs-fast-export/
-Vcs-Git: git://anonscm.debian.org/collab-maint/cvs-fast-export.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/cvs-fast-export.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/cvs-fast-export.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cvs-fast-export.git
 X-Python-Version: >= 2.6
 
 Package: cvs-fast-export
