=== debian/changelog ===
cvs-fast-export (1.41-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright for 2017

 -- Anthony Fok <foka@debian.org>  Sun, 05 Mar 2017 23:28:18 -0700
