=== tests/Makefile ===
--- 
+++ 
@@ -29,10 +29,10 @@
 ,v.dot:
 	$(CVS_FAST_EXPORT) -g $< >$*.dot
 
-test: s_regress m_regress r_regress i_regress f_regress t_regress c_regress
+test: s_regress m_regress r_regress i_regress f_regress t_regress c_regress z_regress
 	@echo "No diff output is good news."
 
-rebuild: s_rebuild m_rebuild r_rebuild i_rebuild t_rebuild
+rebuild: s_rebuild m_rebuild r_rebuild i_rebuild t_rebuild z_rebuild
 
 testlist:
 	@grep '^##' *.tst *.py
@@ -51,7 +51,7 @@
 s_regress: neutralize.map
 	@echo "== Dump regressions =="
 	@-for file in $(TESTLOADS); do \
-	    echo -n "  $${file} "; grep '##' $${file}.tst  || echo ' ## (no description)'; \
+	    echo -n "  $${file} "; grep -a '##' $${file}.tst  || echo ' ## (no description)'; \
 	    $(MAKE) --quiet $${file}.repo; \
 	    find $${file}.repo/module -name '*,v' | $(CVS_FAST_EXPORT) $(TESTOPTS) 2>&1 | $(DIFF) $${file}.chk -; \
 	done
@@ -80,7 +80,7 @@
 i_regress: neutralize.map
 	@echo "== Incremental-dump regressions =="
 	@-for file in $(INCREMENTAL); do \
-	    echo -n "  $${file} "; grep '##' $${file}.tst  || echo ' ## (no description)'; \
+	    echo -n "  $${file} "; grep -a '##' $${file}.tst  || echo ' ## (no description)'; \
 	    $(MAKE) --quiet $${file}.repo; \
 	    find $${file}.repo/module -name '*,v' | $(CVS_FAST_EXPORT) -T -i $(THRESHOLD) -A neutralize.map 2>&1 | $(DIFF) $${file}.inc-chk -; \
 	done
@@ -89,11 +89,11 @@
 # wacky nondeterminism in the git tools.  Thus we can only test
 # repeatably on linear ones.  There's also some wacky non-idempotency
 # in how git handles timezones.
-LINEAR = basic expand hack1 hack2 hack3 longrev twotag
+LINEAR = basic expand hack1 hack2 hack3 linear longrev twotag
 f_regress: neutralize.map
 	@echo "== Fast format compatibility =="
 	@-for file in $(LINEAR); do \
-	    echo -n "  $${file} "; grep '##' $${file}.tst  || echo ' ## (no description)'; \
+	    echo -n "  $${file} "; grep -a '##' $${file}.tst  || echo ' ## (no description)'; \
 	    $(MAKE) --quiet $${file}.repo; \
 	    find $${file}.repo/module -name '*,v' | $(CVS_FAST_EXPORT) -C -T -A neutralize.map 2>&1 | ./gitwash >canonical$$; \
 	    find $${file}.repo/module -name '*,v' | $(CVS_FAST_EXPORT) -F -T -A neutralize.map 2>&1 | ./gitwash >fast$$; \
@@ -110,7 +110,7 @@
 r_regress: neutralize.map
 	@echo "== Repo regressions =="
 	@-for repo in $(REDUCED); do \
-	    echo -n "  $${repo} "; grep '##' $${repo}.testrepo/README  || echo ' ## (no description)'; \
+	    echo -n "  $${repo} "; grep -a '##' $${repo}.testrepo/README  || echo ' ## (no description)'; \
 	    find $${repo}.testrepo/module -name '*,v' | $(CVS_FAST_EXPORT) $(TESTOPTS) 2>&1 | $(DIFF) $${repo}.chk -; \
 	done
 
@@ -119,7 +119,7 @@
 t_regress:
 	@echo "== Pathological cases =="
 	@for pytest in $(PYTESTS); do \
-		echo -n "  $${pytest} "; grep '##' $${pytest}.py  || echo ' ## (no description)'; \
+		echo -n "  $${pytest} "; grep -a '##' $${pytest}.py  || echo ' ## (no description)'; \
 		python $${pytest}.py 2>&1 | $(PATHSTRIP) | $(DIFF) $${pytest}.err -; \
 	done
 t_rebuild:
@@ -144,5 +144,20 @@
 	@for ct in $(CT); do $(MAKE) --quiet $$ct; cvsconvert -q -n $$ct; done
 	@for cd in $(CD); do cvsconvert -q -n $$cd; done
 
+UNSTRIPPED = $(shell ls t9601.testrepo/module/* at.repo/module/*)
+z_regress:
+	@echo "== Reductions =="
+	@for rtest in $(UNSTRIPPED); do \
+		base=`basename $${rtest}`; \
+		echo "  $${base}"; \
+		cvsreduce <$${rtest} | $(DIFF) reductions/$${base}.reduced -; \
+	done
+z_rebuild:
+	@for rtest in $(UNSTRIPPED); do \
+		base=`basename $${rtest}`; \
+		echo "Remaking $${base}.reduced "; \
+		cvsreduce <$${rtest} >reductions/$${base}.reduced; \
+	done
+
 clean:
 	rm -fr neutralize.map *.checkout *.repo *.pyc *.dot *.git *.git.fi
