=== debian/changelog ===
cvs-fast-export (1.43-1) unstable; urgency=medium

  * New upstream release
  * Use debhelper (>= 10)
  * Bump Standards-Version to 4.0.0:
    Use https form of the copyright-format URL in debian/copyright
  * Refresh revdates in 02-reproducible-date.patch
  * Call dh with --no-parallel to avoid doc and test errors

 -- Anthony Fok <foka@debian.org>  Fri, 04 Aug 2017 01:50:49 -0600
