=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: vcs
 Priority: optional
 Maintainer: Anthony Fok <foka@debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Build-Depends: debhelper (>= 10), dh-python,
                python (>= 2.6.6-3~),
                bison, flex, rcs, cvs, git,
                asciidoc-base, docbook-xml, docbook-xsl, libxml2-utils, xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.catb.org/esr/cvs-fast-export/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/cvs-fast-export.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cvs-fast-export.git
