=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,10 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2 --no-parallel
 
 override_dh_auto_build:
 	dh_auto_build
-	make man html reporting-bugs.html
 	TZ=UTC asciidoc hacking.asc
 
 override_dh_auto_install:
