=== debian/watch ===
version=3
http://www.catb.org/~esr/cvs-fast-export/cvs-fast-export-(\d[\d.]*)\.tar\.(?:gz|bz2|xz)
