## cvs-fast-export 1.44

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # You will see some meaningless failures with git 1.7.1 and older.
 # For documentation, you will need asciidoc, xsltproc and docbook stylesheets.
 
-VERSION=1.43
+VERSION=1.44
 
 .PATH: $(.PARSEDIR)
 prefix?=/usr/local
@@ -85,7 +85,7 @@
 
 OBJS=gram.o lex.o rbtree.o main.o import.o dump.o cvsnumber.o \
 	cvsutil.o revdir.o revlist.o atom.o revcvs.o generate.o export.o \
-	nodehash.o tags.o authormap.o graph.o utils.o merge.o hash.o
+	nodehash.o tags.o authormap.o graph.o utils.o collate.o hash.o
 
 all: cvs-fast-export man html
 
@@ -96,7 +96,7 @@
 revcvs.o cvsutils.o rbtree.o: rbtree.h
 atom.o nodehash.o revcvs.o revdir.o: hash.h
 revdir.o: treepack.c dirpack.c revdir.c
-dump.o export.o graph.o main.o merge.o revdir.o: revdir.h
+dump.o export.o graph.o main.o collate.o revdir.o: revdir.h
 
 BISON ?= bison
 
@@ -109,17 +109,17 @@
 import.o: import.c lex.h gram.h
 lex.o: lex.c gram.h
 
-.SUFFIXES: .html .asc .txt .1
+.SUFFIXES: .html .adoc .txt .1
 
 # Requires asciidoc and xsltproc/docbook stylesheets.
-.asc.1:
+.adoc.1:
 	a2x --doctype manpage --format manpage $<
-.asc.html:
+.adoc.html:
 	a2x --doctype manpage --format xhtml -D . $<
 	rm -f docbook-xsl.css
 
-reporting-bugs.html: reporting-bugs.asc
-	asciidoc reporting-bugs.asc
+reporting-bugs.html: reporting-bugs.adoc
+	asciidoc reporting-bugs.adoc
 
 man: cvs-fast-export.1 cvssync.1 cvsconvert.1
 
@@ -181,7 +181,7 @@
 	cd tests; $(MAKE) --quiet clean
 
 SOURCES = Makefile *.[ch] *.[yl] cvssync cvsconvert cvsreduce
-DOCS = README COPYING NEWS AUTHORS TODO control *.asc cfe-logo.png
+DOCS = README COPYING NEWS AUTHORS TODO control *.adoc cfe-logo.png
 ALL =  $(SOURCES) $(DOCS) tests
 cvs-fast-export-$(VERSION).tar.gz: $(ALL)
 	$(TAR) --transform='s:^:cvs-fast-export-$(VERSION)/:' --show-transformed-names -cvzf cvs-fast-export-$(VERSION).tar.gz $(ALL)
