=== tests/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 ,v.dot:
 	$(CVS_FAST_EXPORT) -g $< >$*.dot
 
-test: s_regress m_regress r_regress i_regress f_regress t_regress c_regress z_regress
+test: s_regress m_regress r_regress i_regress f_regress t_regress c_regress z2_regress z3_regress
 	@echo "No diff output is good news."
 
 rebuild: s_rebuild m_rebuild r_rebuild i_rebuild t_rebuild z_rebuild
@@ -144,7 +144,7 @@
 	@for ct in $(CT); do $(MAKE) --quiet $$ct; cvsconvert -q -n $$ct; done
 	@for cd in $(CD); do cvsconvert -q -n $$cd; done
 
-UNSTRIPPED = $(shell ls t9601.testrepo/module/* at.repo/module/*)
+UNSTRIPPED = $(shell ls issue22.txt,v t9601.testrepo/module/* at.repo/module/*)
 z_regress:
 	@echo "== Reductions =="
 	@for rtest in $(UNSTRIPPED); do \
@@ -159,5 +159,15 @@
 		cvsreduce <$${rtest} >reductions/$${base}.reduced; \
 	done
 
+z2_regress:
+	setpython python2
+	make z_regress
+	setpython python
+
+z3_regress:
+	setpython python3
+	make z_regress
+	setpython python
+
 clean:
 	rm -fr neutralize.map *.checkout *.repo *.pyc *.dot *.git *.git.fi
