=== debian/changelog ===
cvs-fast-export (1.44-1) unstable; urgency=medium

  * New upstream release
  * Rename debian-branch to debian/sid
  * Apply "cme fix dpkg" fixes to debian/control
  * Bump Standards-Version to 4.1.5 (no change)
  * Use debhelper (>= 11)
  * Adjust for .asc to .adoc renaming of AsciiDoc files
  * Fix "sh: 1: setpython: not found" error in tests/Makefile
  * Add hardening=+all to DEB_BUILD_MAINT_OPTIONS.
    Fixes Lintian info "hardening-no-bindnow usr/bin/cvs-fast-export".
  * Remove ancient "X-Python-Version: >= 2.6" field
  * Replace dh_auto_build’s "make -j1 distclean" with "make -j1 clean"

 -- Anthony Fok <foka@debian.org>  Thu, 12 Jul 2018 10:45:13 -0600
