=== debian/control ===
--- 
+++ 
@@ -1,22 +1,36 @@
 Source: cvs-fast-export
+Maintainer: Anthony Fok <foka@debian.org>
 Section: vcs
 Priority: optional
-Maintainer: Anthony Fok <foka@debian.org>
-Build-Depends: debhelper (>= 10), dh-python,
-               python (>= 2.6.6-3~),
-               bison, flex, rcs, cvs, git,
-               asciidoc-base, docbook-xml, docbook-xsl, libxml2-utils, xsltproc
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 11),
+               dh-python,
+               python,
+               bison,
+               flex,
+               rcs,
+               cvs,
+               git,
+               asciidoc-base,
+               docbook-xml,
+               docbook-xsl,
+               libxml2-utils,
+               xsltproc
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian/cvs-fast-export
+Vcs-Git: https://salsa.debian.org/debian/cvs-fast-export.git
 Homepage: http://www.catb.org/esr/cvs-fast-export/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/cvs-fast-export.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cvs-fast-export.git
-X-Python-Version: >= 2.6
 
 Package: cvs-fast-export
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Recommends: reposurgeon, cvs, git, rsync
-Suggests: rcs, bzr-fastimport
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python:Depends}
+Recommends: reposurgeon,
+            cvs,
+            git,
+            rsync
+Suggests: rcs,
+          bzr-fastimport
 Description: Export an RCS or CVS history as a fast-import stream
  cvs-fast-export, formerly "parsecvs", does what its new name implies:
  exports CVS repositories in a format suitable for git fast-import.
