=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@ --with python2 --no-parallel

override_dh_auto_build:
	dh_auto_build
	TZ=UTC asciidoc hacking.adoc

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_auto_clean:
	make -j1 clean
	find tests -path '*/CVSROOT/history' -type f -exec sed -i '/|esr|/!d' '{}' \;
