## cvs-fast-export 1.47

=== Makefile ===
--- 
+++ 
@@ -13,8 +13,11 @@
 #
 # You will see some meaningless failures with git 1.7.1 and older.
 # For documentation, you will need asciidoc, xsltproc and docbook stylesheets.
-
-VERSION=1.44
+#
+# Note: the reason for the .adoc exsentions on README/NEWS/TODO is so they'll
+# display nicely in GitLab's repsitory-browsing interface.
+
+VERSION=$(shell sed -n <NEWS.adoc '/::/s/^\([0-9][^:]*\).*/\1/p' | head -1)
 
 .PATH: $(.PARSEDIR)
 prefix?=/usr/local
@@ -72,7 +75,9 @@
 # To enable profiling, uncomment the following line
 # Note: the profiler gets confused if you don't also turn off -O flags.
 # CFLAGS += -pg
-CFLAGS += -O3
+# Warning: Using -O3 has been seen to cause core dumps on repositories with
+# very long revision names - some bounds check gets optimized away. Don't do that.
+CFLAGS += -O2
 # If your toolchain supports link time optimization this is a cheap speedup
 # CFLAGS += -flto
 # CFLAGS += -g
@@ -159,15 +164,17 @@
 PROFILE: gmon.out
 	gprof cvs-fast-export >PROFILE
 
+version:
+	@echo $(VERSION)
 
 # Weird suppressions are required because of strange tricks in Bison and Flex.
 CSUPPRESSIONS = -U__UNUSED__ -UYYPARSE_PARAM -UYYTYPE_INT16 -UYYTYPE_INT8 \
 	-UYYTYPE_UINT16 -UYYTYPE_UINT8 -UYY_USER_INIT -UYY_READ_BUF_SIZE \
 	-UYY_NO_INPUT -UECHO -UYY_START_STACK_INCR -UYY_FATAL_ERROR \
 	-U_SC_NPROCESSORS_ONLN -Ushort -Usize_t -Uyytext_ptr \
-	-Uyyoverflow -U__cplusplus
+	-Uyyoverflow -U__cplusplus -U__APPLE__ -DCLOCK_REALTIME=0
 cppcheck:
-	cppcheck -I. --template gcc --enable=all $(CSUPPRESSIONS) --suppress=unusedStructMember --suppress=unusedFunction --suppress=unreadVariable --suppress=uselessAssignmentPtrArg --suppress=missingIncludeSystem *.[ch]
+	cppcheck -I. --template gcc --enable=all $(CSUPPRESSIONS) --suppress=unusedStructMember --suppress=unusedFunction --suppress=unreadVariable --suppress=uselessAssignmentPtrArg --suppress=missingIncludeSystem --inline-suppr *.[ch]
 
 PYLINTOPTS = --rcfile=/dev/null --reports=n \
 	--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
@@ -181,7 +188,7 @@
 	cd tests; $(MAKE) --quiet clean
 
 SOURCES = Makefile *.[ch] *.[yl] cvssync cvsconvert cvsreduce
-DOCS = README COPYING NEWS AUTHORS TODO control *.adoc cfe-logo.png
+DOCS = README.adoc COPYING NEWS.adoc AUTHORS TODO.adoc control *.adoc cfe-logo.png
 ALL =  $(SOURCES) $(DOCS) tests
 cvs-fast-export-$(VERSION).tar.gz: $(ALL)
 	$(TAR) --transform='s:^:cvs-fast-export-$(VERSION)/:' --show-transformed-names -cvzf cvs-fast-export-$(VERSION).tar.gz $(ALL)
