=== debian/changelog ===
cvs-fast-export (1.47-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.3.0 (no change)
  * Remove 03-fix-setpython-not-found-error.patch
    which has been applied upstream since upstream version 1.45.
  * debian/docs: Track upstream asciidocified files, i.e.
    NEWS, README, TODO → NEWS.adoc, README.adoc, TODO.adoc

 -- Anthony Fok <foka@debian.org>  Sun, 14 Apr 2019 13:40:39 -0600
