=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                docbook-xsl,
                libxml2-utils,
                xsltproc
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/cvs-fast-export
 Vcs-Git: https://salsa.debian.org/debian/cvs-fast-export.git
 Homepage: http://www.catb.org/esr/cvs-fast-export/
