## cvs-fast-export 1.50

=== debian/changelog ===
cvs-fast-export (1.50-1) unstable; urgency=medium

  * New upstream version 1.50
  * Add John E. Wulff <gitlab@mg.gitlab.com> and update copyright years
    in debian/copyright
  * Refresh Debian patches for new version

 -- Anthony Fok <foka@debian.org>  Wed, 12 Feb 2020 09:23:45 -0700

cvs-fast-export (1.47-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Non-maintainer upload.
  * Recommend brz rather than bzr-fastexport.

  [ Anthony Fok ]
  * Ignore quilt dir .pc via .gitignore
  * Patch test suite to use Python3 only
  * Patch cvsconvert and tests/testlifter.py
    to replace apply(f, args) with f(*args) "extended call syntax"
    for full Python 3 compatibility
  * Apply "cme fix dpkg" fixes to debian/control
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.5.0 (no change)
  * Bump to debhelper-compat (= 12)
  * debian/control, debian/rules: Migrate to Python3 due to upcoming
    Python2 removal in sid/bullseye (Closes: #936356, #942934)

 -- Anthony Fok <foka@debian.org>  Wed, 12 Feb 2020 08:08:58 -0700
