## cvs-fast-export 1.51

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # You will see some meaningless failures with git 1.7.1 and older.
 # For documentation, you will need asciidoc, xsltproc and docbook stylesheets.
 #
-# Note: the reason for the .adoc exsentions on README/NEWS/TODO is so they'll
+# Note: the reason for the .adoc extensions on README/NEWS/TODO is so they'll
 # display nicely in GitLab's repsitory-browsing interface.
 
 VERSION=$(shell sed -n <NEWS.adoc '/::/s/^\([0-9][^:]*\).*/\1/p' | head -1)
@@ -25,15 +25,19 @@
 parsedir:=$(.PARSEDIR)
 srcdir=$(dir $(abspath $(firstword $(MAKEFILE_LIST))))$(parsedir)
 VPATH=$(srcdir)
+mandir?=$(DESTDIR)$(prefix)/share/man
 
 INSTALL = install
-TAR = tar
+TAR ?= tar
+BISON ?= bison
+FLEX ?= flex
+A2X ?= a2x
 
 GCC_WARNINGS1=-Wall -Wpointer-arith -Wstrict-prototypes
 GCC_WARNINGS2=-Wmissing-prototypes -Wmissing-declarations
 GCC_WARNINGS3=-Wno-unused-function -Wno-unused-label -Wno-format-zero-length
 GCC_WARNINGS=$(GCC_WARNINGS1) $(GCC_WARNINGS2) $(GCC_WARNINGS3)
-CFLAGS=$(GCC_WARNINGS)
+CFLAGS += $(GCC_WARNINGS)
 CPPFLAGS += -I. -I$(srcdir)
 #LIBS=-lrt
 CPPFLAGS += -DVERSION=\"$(VERSION)\"
@@ -42,8 +46,8 @@
 CFLAGS += -pthread
 CPPFLAGS += -DTHREADS
 
-# Optimizing for speed. Comment this out for distribution builds
-CFLAGS += -march=native
+# Optimizing for speed. Un-comment for testing Linux build
+#CFLAGS += -march=native
 
 # To enable debugging of the Yacc grammar, uncomment the following line
 #CPPFLAGS += -DYYDEBUG=1
@@ -103,12 +107,10 @@
 revdir.o: treepack.c dirpack.c revdir.c
 dump.o export.o graph.o main.o collate.o revdir.o: revdir.h
 
-BISON ?= bison
-
 gram.h gram.c: gram.y
 	$(BISON)  $(YFLAGS) --defines=gram.h --output-file=gram.c $(srcdir)/gram.y
 lex.h lex.c: lex.l
-	flex $(LFLAGS) --header-file=lex.h --outfile=lex.c $(srcdir)/lex.l
+	$(FLEX) $(LFLAGS) --header-file=lex.h --outfile=lex.c $(srcdir)/lex.l
 
 gram.o: gram.c lex.h gram.h
 import.o: import.c lex.h gram.h
@@ -118,9 +120,9 @@
 
 # Requires asciidoc and xsltproc/docbook stylesheets.
 .adoc.1:
-	a2x --doctype manpage --format manpage $<
+	$(A2X) --doctype manpage --format manpage $<
 .adoc.html:
-	a2x --doctype manpage --format xhtml -D . $<
+	$(A2X) --doctype manpage --format xhtml -D . $<
 	rm -f docbook-xsl.css
 
 reporting-bugs.html: reporting-bugs.adoc
@@ -148,13 +150,13 @@
 	$(INSTALL) -d "$(target)/bin"
 	$(INSTALL) $^ "$(target)/bin"
 install-man: man
-	$(INSTALL) -d "$(target)/share/man/man1"
-	$(INSTALL) -m 644 cvs-fast-export.1 "$(target)/share/man/man1"
-	$(INSTALL) -m 644 cvssync.1 "$(target)/share/man/man1"
-	$(INSTALL) -m 644 cvsconvert.1 "$(target)/share/man/man1"
+	$(INSTALL) -d "$(mandir)/man1"
+	$(INSTALL) -m 644 cvs-fast-export.1 "$(mandir)/man1"
+	$(INSTALL) -m 644 cvssync.1 "$(mandir)/man1"
+	$(INSTALL) -m 644 cvsconvert.1 "$(mandir)/man1"
 uninstall: uninstall-man uninstall-bin
 uninstall-man:
-	cd $(target)/share/man/man1/ && rm -f cvs-fast-export.1 cvssync.1 cvsconvert.1
+	cd $(mandir)/man1/ && rm -f cvs-fast-export.1 cvssync.1 cvsconvert.1
 uninstall-bin:
 	cd $(target)/bin && rm -f cvs-fast-export cvssync cvsconvert
 
@@ -174,7 +176,7 @@
 	-U_SC_NPROCESSORS_ONLN -Ushort -Usize_t -Uyytext_ptr \
 	-Uyyoverflow -U__cplusplus -U__APPLE__ -DCLOCK_REALTIME=0
 cppcheck:
-	cppcheck -I. --template gcc --enable=all $(CSUPPRESSIONS) --suppress=unusedStructMember --suppress=unusedFunction --suppress=unreadVariable --suppress=uselessAssignmentPtrArg --suppress=missingIncludeSystem --inline-suppr *.[ch]
+	cppcheck -I. --template $(CC) --enable=all $(CSUPPRESSIONS) --suppress=unusedStructMember --suppress=unusedFunction --suppress=unreadVariable --suppress=uselessAssignmentPtrArg --suppress=missingIncludeSystem --inline-suppr *.[ch]
 
 PYLINTOPTS = --rcfile=/dev/null --reports=n \
 	--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
@@ -188,7 +190,7 @@
 	cd tests; $(MAKE) --quiet clean
 
 SOURCES = Makefile *.[ch] *.[yl] cvssync cvsconvert cvsreduce
-DOCS = README.adoc COPYING NEWS.adoc AUTHORS TODO.adoc control *.adoc cfe-logo.png
+DOCS = control *.adoc cfe-logo.png
 ALL =  $(SOURCES) $(DOCS) tests
 cvs-fast-export-$(VERSION).tar.gz: $(ALL)
 	$(TAR) --transform='s:^:cvs-fast-export-$(VERSION)/:' --show-transformed-names -cvzf cvs-fast-export-$(VERSION).tar.gz $(ALL)
