=== tests/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Set OPTS to pass options to the cvs-fast-export instances.
 
-PATH := ${CURDIR}/..:${PATH}
+PATH := ${CURDIR}/..:${CURDIR}:${PATH}
 SHELL = sh	# Do not introduce bashisms!
 CVS = cvs
 DIFF = diff -u -a
@@ -29,10 +29,10 @@
 ,v.dot:
 	$(CVS_FAST_EXPORT) -g $< >$*.dot
 
-test: s_regress m_regress r_regress i_regress f_regress t_regress c_regress z2_regress z3_regress
+test: s_regress m_regress r_regress i_regress f_regress t_regress c_regress # z2_regress z3_regress
 	@echo "No diff output is good news."
 
-rebuild: s_rebuild m_rebuild r_rebuild i_rebuild t_rebuild z_rebuild
+rebuild: s_rebuild m_rebuild r_rebuild i_rebuild t_rebuild # z_rebuild
 
 testlist:
 	@grep '^##' *.tst *.py
@@ -41,7 +41,7 @@
 	@echo "$${USER} = foo <foo> -0500" >neutralize.map
 
 TESTLOADS := $(shell ls -1 *.tst | sed '/.tst/s///')
-TESTOPTS = -k kv -T -A neutralize.map --reposurgeon
+TESTOPTS = -T -A neutralize.map --reposurgeon
 s_rebuild: neutralize.map
 	@-for file in $(TESTLOADS); do \
 	    echo "Remaking $${file}.chk"; \
