=== debian/changelog ===
cvs-fast-export (1.51-1) unstable; urgency=medium

  * New upstream version 1.51
  * Remove 04-python3-removed-apply.patch which has been applied upstream
  * Refresh other Debian patches

 -- Anthony Fok <foka@debian.org>  Tue, 18 Feb 2020 22:55:30 -0700
