=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Maintainer: Anthony Fok <foka@debian.org>
 Section: vcs
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python,
+               python3,
                bison,
                flex,
                rcs,
@@ -15,7 +15,7 @@
                docbook-xsl,
                libxml2-utils,
                xsltproc
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/cvs-fast-export
 Vcs-Git: https://salsa.debian.org/debian/cvs-fast-export.git
 Homepage: http://www.catb.org/esr/cvs-fast-export/
@@ -24,13 +24,13 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Recommends: reposurgeon,
             cvs,
             git,
             rsync
 Suggests: rcs,
-          bzr-fastimport
+          brz
 Description: Export an RCS or CVS history as a fast-import stream
  cvs-fast-export, formerly "parsecvs", does what its new name implies:
  exports CVS repositories in a format suitable for git fast-import.
